import { jsx } from "react/jsx-runtime";
import { render } from "@testing-library/react";
import userEvent from "@testing-library/user-event";
import { getDefaultTheme } from "@elliemae/pui-theme";
import { createAppStore } from "../../data/store.js";
import { AppRoot } from "../../view/app-root/index.js";
import { browserHistory } from "../history.js";
const defaultStore = createAppStore({}, browserHistory);
const defaultTheme = getDefaultTheme();
const AllTheProviders = ({
  store = defaultStore,
  theme = defaultTheme,
  children
}) => /* @__PURE__ */ jsx(AppRoot, { store, history: browserHistory, theme, children });
const customRender = (ui, options) => ({
  user: userEvent.setup(),
  ...render(ui, { wrapper: AllTheProviders, ...options })
});
export * from "@testing-library/react";
export {
  customRender as render
};
